<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.xhtml"><span>All</span></a></li>
      <li><a href="functions_func.xhtml"><span>Functions</span></a></li>
      <li><a href="functions_vars.xhtml"><span>Variables</span></a></li>
      <li><a href="functions_enum.xhtml"><span>Enumerations</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.xhtml#index__"><span>_</span></a></li>
      <li><a href="functions_a.xhtml#index_a"><span>a</span></a></li>
      <li class="current"><a href="functions_b.xhtml#index_b"><span>b</span></a></li>
      <li><a href="functions_c.xhtml#index_c"><span>c</span></a></li>
      <li><a href="functions_d.xhtml#index_d"><span>d</span></a></li>
      <li><a href="functions_e.xhtml#index_e"><span>e</span></a></li>
      <li><a href="functions_f.xhtml#index_f"><span>f</span></a></li>
      <li><a href="functions_g.xhtml#index_g"><span>g</span></a></li>
      <li><a href="functions_h.xhtml#index_h"><span>h</span></a></li>
      <li><a href="functions_i.xhtml#index_i"><span>i</span></a></li>
      <li><a href="functions_k.xhtml#index_k"><span>k</span></a></li>
      <li><a href="functions_l.xhtml#index_l"><span>l</span></a></li>
      <li><a href="functions_m.xhtml#index_m"><span>m</span></a></li>
      <li><a href="functions_n.xhtml#index_n"><span>n</span></a></li>
      <li><a href="functions_o.xhtml#index_o"><span>o</span></a></li>
      <li><a href="functions_p.xhtml#index_p"><span>p</span></a></li>
      <li><a href="functions_q.xhtml#index_q"><span>q</span></a></li>
      <li><a href="functions_r.xhtml#index_r"><span>r</span></a></li>
      <li><a href="functions_s.xhtml#index_s"><span>s</span></a></li>
      <li><a href="functions_t.xhtml#index_t"><span>t</span></a></li>
      <li><a href="functions_u.xhtml#index_u"><span>u</span></a></li>
      <li><a href="functions_v.xhtml#index_v"><span>v</span></a></li>
      <li><a href="functions_w.xhtml#index_w"><span>w</span></a></li>
      <li><a href="functions_x.xhtml#index_x"><span>x</span></a></li>
      <li><a href="functions_y.xhtml#index_y"><span>y</span></a></li>
      <li><a href="functions_z.xhtml#index_z"><span>z</span></a></li>
      <li><a href="functions_0x7e.xhtml#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_b.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all struct and union fields with links to the structures/unions they belong to:</div>

<h3><a class="anchor" id="index_b"></a>- b -</h3><ul>
<li>b()
: <a class="el" href="classarm__compute_1_1_activation_layer_info.xhtml#af28869d53fbe340640044d672b29ba7c">ActivationLayerInfo</a>
</li>
<li>begin()
: <a class="el" href="classarm__compute_1_1_dimensions.xhtml#ab2878b67ca384a699c1270900b31290b">Dimensions&lt; T &gt;</a>
</li>
<li>beta()
: <a class="el" href="classarm__compute_1_1_normalization_layer_info.xhtml#a55fe6a30749e41ce31c2bb969a5aa25e">NormalizationLayerInfo</a>
</li>
<li>block_size()
: <a class="el" href="classarm__compute_1_1_h_o_g_info.xhtml#a13a9a6f5cfa21b3ab15b1e4315311aeb">HOGInfo</a>
</li>
<li>block_stride()
: <a class="el" href="classarm__compute_1_1_h_o_g_info.xhtml#aa9a69eade27460f843fcfba5abb7ae52">HOGInfo</a>
</li>
<li>border_size()
: <a class="el" href="classarm__compute_1_1_c_l_box3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLBox3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_convolution_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLConvolutionKernel&lt; matrix_size &gt;</a>
, <a class="el" href="classarm__compute_1_1_c_l_convolution_rectangle_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLConvolutionRectangleKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_derivative_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLDerivativeKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_dilate_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLDilateKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_edge_non_max_suppression_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLEdgeNonMaxSuppressionKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_erode_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLErodeKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_fast_corners_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLFastCornersKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_gaussian3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLGaussian3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_gaussian_pyramid_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLGaussianPyramidHorKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_gaussian_pyramid_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLGaussianPyramidVertKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_harris_score_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLHarrisScoreKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_median3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLMedian3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_non_linear_filter_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLNonLinearFilterKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_non_maxima_suppression3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLNonMaximaSuppression3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_normalization_layer_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLNormalizationLayerKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_pooling_layer_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLPoolingLayerKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_remap_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLRemapKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_scale_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLScaleKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_scharr3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLScharr3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_separable_convolution_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLSeparableConvolutionHorKernel&lt; matrix_size &gt;</a>
, <a class="el" href="classarm__compute_1_1_c_l_separable_convolution_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLSeparableConvolutionVertKernel&lt; matrix_size &gt;</a>
, <a class="el" href="classarm__compute_1_1_c_l_sobel3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLSobel3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_sobel5x5_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLSobel5x5HorKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_sobel5x5_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLSobel5x5VertKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_sobel7x7_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLSobel7x7HorKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_sobel7x7_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLSobel7x7VertKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_warp_affine_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLWarpAffineKernel</a>
, <a class="el" href="classarm__compute_1_1_c_l_warp_perspective_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">CLWarpPerspectiveKernel</a>
, <a class="el" href="classarm__compute_1_1_i_kernel.xhtml#aa6daa9b04e2035bf007e5e5c3c4396a8">IKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_box3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEBox3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_convolution_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEConvolutionKernel&lt; matrix_size &gt;</a>
, <a class="el" href="classarm__compute_1_1_n_e_convolution_rectangle_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEConvolutionRectangleKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_derivative_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEDerivativeKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_dilate_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEDilateKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_edge_non_max_suppression_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEEdgeNonMaxSuppressionKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_edge_trace_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEEdgeTraceKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_erode_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEErodeKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_fast_corners_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEFastCornersKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_gaussian3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEGaussian3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_gaussian5x5_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEGaussian5x5HorKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_gaussian5x5_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEGaussian5x5VertKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_gaussian_pyramid_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEGaussianPyramidHorKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_gaussian_pyramid_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEGaussianPyramidVertKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_harris_score_f_p16_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEHarrisScoreFP16Kernel&lt; block_size &gt;</a>
, <a class="el" href="classarm__compute_1_1_n_e_harris_score_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEHarrisScoreKernel&lt; block_size &gt;</a>
, <a class="el" href="classarm__compute_1_1_n_e_integral_image_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEIntegralImageKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_l_k_tracker_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NELKTrackerKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_logits1_d_max_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NELogits1DMaxKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_logits1_d_shift_exp_sum_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NELogits1DShiftExpSumKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_median3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEMedian3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_non_linear_filter_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NENonLinearFilterKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_non_maxima_suppression3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NENonMaximaSuppression3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_normalization_layer_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NENormalizationLayerKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_pooling_layer_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEPoolingLayerKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_scale_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEScaleKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_scharr3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NEScharr3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESeparableConvolutionHorKernel&lt; matrix_size &gt;</a>
, <a class="el" href="classarm__compute_1_1_n_e_separable_convolution_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESeparableConvolutionVertKernel&lt; matrix_size &gt;</a>
, <a class="el" href="classarm__compute_1_1_n_e_sobel3x3_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESobel3x3Kernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_sobel5x5_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESobel5x5HorKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_sobel5x5_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESobel5x5VertKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_sobel7x7_hor_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESobel7x7HorKernel</a>
, <a class="el" href="classarm__compute_1_1_n_e_sobel7x7_vert_kernel.xhtml#a423f9a45a52983b4de5e2b347f4369c7">NESobel7x7VertKernel</a>
</li>
<li>BorderSize()
: <a class="el" href="structarm__compute_1_1_border_size.xhtml#a4ead5a6d48151a603bf3be1e6acafb05">BorderSize</a>
</li>
<li>bottom
: <a class="el" href="structarm__compute_1_1_border_size.xhtml#a802ffcf1b49237efe5be8a314d3f3869">BorderSize</a>
</li>
<li>buffer()
: <a class="el" href="classarm__compute_1_1_array.xhtml#a46fdef12397c4404e7706cba3568b42d">Array&lt; T &gt;</a>
, <a class="el" href="classarm__compute_1_1_distribution1_d.xhtml#a0a383529771c579b362ede2307c6bab9">Distribution1D</a>
, <a class="el" href="classarm__compute_1_1_i_array.xhtml#a4b55468220c2029e7ee1594e34b2b21f">IArray&lt; T &gt;</a>
, <a class="el" href="classarm__compute_1_1_i_c_l_array.xhtml#a46fdef12397c4404e7706cba3568b42d">ICLArray&lt; T &gt;</a>
, <a class="el" href="classarm__compute_1_1_i_c_l_distribution1_d.xhtml#a0a383529771c579b362ede2307c6bab9">ICLDistribution1D</a>
, <a class="el" href="classarm__compute_1_1_i_c_l_lut.xhtml#ace7b855e3c647d29cc37a1ce147901dc">ICLLut</a>
, <a class="el" href="classarm__compute_1_1_i_c_l_tensor.xhtml#ace7b855e3c647d29cc37a1ce147901dc">ICLTensor</a>
, <a class="el" href="classarm__compute_1_1_i_distribution.xhtml#a0eb5856c63562cb144938ed77d6823a0">IDistribution</a>
, <a class="el" href="classarm__compute_1_1_i_lut.xhtml#ab988210662dbd3bf32fd563c7dd1bdbf">ILut</a>
, <a class="el" href="classarm__compute_1_1_i_tensor.xhtml#ab988210662dbd3bf32fd563c7dd1bdbf">ITensor</a>
, <a class="el" href="classarm__compute_1_1_lut.xhtml#ace7b855e3c647d29cc37a1ce147901dc">Lut</a>
, <a class="el" href="classarm__compute_1_1_tensor.xhtml#ace7b855e3c647d29cc37a1ce147901dc">Tensor</a>
</li>
<li>build()
: <a class="el" href="classarm__compute_1_1_program.xhtml#ac7692fcd49be268380d2a8da9a058d0f">Program</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:11 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
